
#ifndef SteppingAction_h
#define SteppingAction_h 1

#include "G4UserSteppingAction.hh"
#include "globals.hh"

class RunAction;
class DetectorConstruction;

class SteppingAction : public G4UserSteppingAction
{
  public:
  SteppingAction(DetectorConstruction* myDC , RunAction* myRU);
    virtual ~SteppingAction();

    virtual void UserSteppingAction(const G4Step*);
  private:
  G4bool drawFlag;
  DetectorConstruction* myDetector;
  RunAction* runAction;
  //  RunAction::Edep[90];
 public:
    inline void SetDrawFlag(G4bool val)
    { drawFlag = val; };
};

#endif


// 2005 by G.I.Vasilyev

